Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls
Class BackingContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.BackingContext

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DesktopBackingContext, WindowBackingContext

public abstract class BackingContext
extends com.bea.netuix.servlets.controls.ControlContext

Context base class for `controls` that support a backing file. The control framework provides instances of subclasses of `BackingContext` during actions and in backing files.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Method Summary
`List` | `getChildrenBackingContexts()` Returns a `List` of `BackingContexts` belonging to the children of the control this `BackingContext` represents that are BackableControls.
`BackingContext` | `getParentBackingContext()` Returns the `BackingContext` of the first ancestor that has one.
`BackingContext` | `getTopParentBackingContext()` Returns the `BackingContext` of the upper most BackableControl in the tree.
`boolean` | `isBackingPhase()` Returns whether or not this is in the backing phase.
`boolean` | `isVisible()` Returns the value of the underlying control's `visible` attribute.
`protected void` | `setBackingPhase(boolean backingPhase)` Sets whether or not this is in the backing phase.
`void` | `setVisible(boolean visible)`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextKey, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getChildrenBackingContexts

    public List getChildrenBackingContexts()

  Returns a `List` of `BackingContexts` belonging to the children of the control this `BackingContext` represents that are BackableControls. Note that this method returns `BackingContexts` belonging to the immediate children only; in other words it is not a "deep" list of the children.

  Returns:
    `List` of `BackingContext`

### getParentBackingContext

    public BackingContext getParentBackingContext()

  Returns the `BackingContext` of the first ancestor that has one.

  Returns:
    the BackingContext of the first ancestor that is a BackableControl. If there are no BackableControls among the ancestors returns null.

### getTopParentBackingContext

    public BackingContext getTopParentBackingContext()

  Returns the `BackingContext` of the upper most BackableControl in the tree.

  Returns:
    the BackingContext of the upper most ancestor that is a BackableControl. If there are no BackableControls among the ancestors returns null.

### isBackingPhase

    public boolean isBackingPhase()

  Returns whether or not this is in the backing phase. This method returns true during every lifecycle except `render`.

  Returns:
    return true if we are in the backing phase of the lifecycle.

### isVisible

    public boolean isVisible()

  Returns the value of the underlying control's `visible` attribute.

  Returns:
    a boolean, the value of the underlying control's `visible` attribute.

### setBackingPhase

    protected void setBackingPhase(boolean backingPhase)

  Sets whether or not this is in the backing phase.

  Parameters:
    `backingPhase` -

### setVisible

    public void setVisible(boolean visible)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved